## List Currencies

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/currency \
  --header 'Authorization: Bearer <token>'
```

### Python
```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/currency"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript
```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/currency', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php


```

### Response Codes
| Code  | Description |
|-------|-------------|
| 200   | Successful   |
| 4XX   | Client Error |
| 5XX   | Server Error |

### Example Response
```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "code": "<string>",
      "name": "<string>",
      "archived": true,
      "maxDecimalPlaces": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

### Error Message
```json
{
  "message": "<string>"
}
```

### Authorizations
- **Authorization**: `string` (header, required) - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- **orgId**: `string` (required) - The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service.

### Query Parameters
- **pageSize**: `integer<int32>` (Required range: `1 <= x <= 100`) - Specifies the maximum number of Currencies to retrieve per page.
- **nextToken**: `string` - Used to fetch the next page of Currencies in a paginated list.
- **ids**: `string[]` - Optional parameter to filter the list based on specific Currency unique identifiers (UUIDs).
- **codes**: `string[]` - Optional parameter to retrieve specific Currencies based on their short codes.
- **archived**: `boolean` - Filter by archived flag. A True / False flag indicating whether to return Currencies that are archived (obsolete).
